\documentclass[landscape,a4paper, frenchb, 10pt]{scrartcl}
\usepackage[utf8]{inputenc}
\usepackage{babel}
\usepackage[T1]{fontenc}
\usepackage{tikz} 			% Use the calendar.sty style

\usepackage{translator}	% German Month and Day names
\usepackage{fancyhdr}		% header and footer
\usepackage{fix-cm}		% Large year in header

\usepackage[landscape, headheight = 2cm, margin=.5cm,
  top = 3.2cm, nofoot]{geometry}
\usetikzlibrary{calc}
\usetikzlibrary{calendar}
\renewcommand*\familydefault{\sfdefault}

% User defined
%\def\year{2013}
% Names of Holidays are inserted by employing this macro
\def\termin#1#2{
  \node [anchor=north west, text width= 3.4cm] at
  ($(cal-#1.north west)+(3em, 0em)$) {\textcolor{red}{\small{#2}}};
}

%Header
\renewcommand{\headrulewidth}{0.0pt}
\setlength{\headheight}{10ex}
\chead{
  \fontsize{60}{70}\selectfont%\textbf{\year}
  \Large\textbf{Année 2017--2018}\hfill
}
%Footer
%\cfoot{\footnotesize\texttt{http://www.texample.net/}}



\begin{document}
\pagestyle{fancy}
\begin{center}
\begin{tikzpicture}[every day/.style={anchor = north}]
\calendar[
  dates=2017-09-01 to 2018-02-28,
  name=cal,
  day yshift = 3em,
  day code=
  {
    \node[name=\pgfcalendarsuggestedname,every day,shape=rectangle,
    minimum height= .53cm, text width = 4.4cm, draw = gray]{\tikzdaytext};
    \draw (-1.8cm, -.1ex) node[anchor = west]{\footnotesize%
      \pgfcalendarweekdayshortname{\pgfcalendarcurrentweekday}};
  },
  execute before day scope=
  {
    \ifdate{day of month=1}
    {
      % Shift right
      \pgftransformxshift{4.8cm}
      % Print month name 
      \draw (0,0)node [shape=rectangle, minimum height= .53cm,
        text width = 4.4cm, fill = red, text= white, draw = red, text centered]
        {\textbf{\pgfcalendarmonthname{\pgfcalendarcurrentmonth}}};
    }{}
    \ifdate{workday}
    {
      % normal days are white
      \tikzset{every day/.style={fill=white}}
      % Progression
      \ifdate{between=2017-09-07 and 2017-09-26}{%
        \tikzset{every day/.style={fill=green!20}}}{}
      \ifdate{between=2017-09-28 and 2017-10-10}{%
        \tikzset{every day/.style={fill=green!20}}}{}
      \ifdate{between=2017-10-12 and 2017-10-19}{%
        \tikzset{every day/.style={fill=green!20}}}{}
      \ifdate{between=2017-11-06 and 2017-11-23}{%
        \tikzset{every day/.style={fill=green!20}}}{}
      \ifdate{between=2017-11-27 and 2017-12-05}{%
        \tikzset{every day/.style={fill=green!20}}}{}
      \ifdate{between=2017-12-07 and 2017-12-21}{%
        \tikzset{every day/.style={fill=green!20}}}{}
      \ifdate{between=2018-01-08 and 2018-01-23}{%
        \tikzset{every day/.style={fill=green!20}}}{}
      \ifdate{between=2018-01-25 and 2018-02-07}{%
        \tikzset{every day/.style={fill=green!20}}}{}
      \ifdate{between=2018-02-09 and 2018-02-15}{%
        \tikzset{every day/.style={fill=green!20}}}{}
      % Vacances (Vacances Zone C 2017-2018) en gris
      \ifdate{between=2017-10-21 and 2017-11-05}{%
        \tikzset{every day/.style={fill=gray!30}}}{}
      \ifdate{between=2017-12-23 and 2018-01-07}{%
        \tikzset{every day/.style={fill=gray!30}}}{}
      \ifdate{between=2018-02-17 and 2018-03-04}{%
        \tikzset{every day/.style={fill=gray!30}}}{}
 }{}
    % Samedis
    \ifdate{Saturday}{\tikzset{every day/.style={fill=red!10}}}{}
    % Dimanches et jours feriés
    \ifdate{Sunday}{\tikzset{every day/.style={fill=red!20}}}{}
    \ifdate{equals=01-01}{\tikzset{every day/.style={fill=red!20}}}{}
    \ifdate{equals=11-01}{\tikzset{every day/.style={fill=red!20}}}{}
    \ifdate{equals=12-25}{\tikzset{every day/.style={fill=red!20}}}{}
  },
 execute at begin day scope=
  {
    % each day is shifted down according to the day of month
    \pgftransformyshift{-.53*\pgfcalendarcurrentday cm}
  }
];

% Jours à afficher
\termin{2017-11-01}{Toussaint}
\termin{2017-11-11}{Armistice 1918}
\termin{2017-12-25}{Noël}
\termin{2018-01-01}{Nouvel an}

% Jours scolaires
\termin{2017-09-05}{Rentrée}
\termin{2017-09-07}{Fonctions : 14j }
\termin{2017-09-28}{Géométrie : 9j }
\termin{2017-10-12}{Statistiques descriptives : 7j }
\termin{2017-11-06}{Expressions algébriques \\ dont équations 14j}
\termin{2017-11-30}{Échantillonnage 7j}
\termin{2017-12-07}{Probabilités 11j}
\termin{2018-01-08}{Droites 12j \\ sauf alignement}
\termin{2018-01-25}{Inéquations 10j}
\termin{2018-02-09}{Échantillonage 5j}
\end{tikzpicture}

% On répète pour la page suivante
\pagebreak
\begin{tikzpicture}[every day/.style={anchor = north}]
\calendar[dates=2018-03-01 to 2018-08-31,
  name=cal,
  day yshift = 3em,
  day code=
  {
    \node[name=\pgfcalendarsuggestedname,every day,shape=rectangle, 
      minimum height= .53cm, text width = 4.4cm, draw = gray]{\tikzdaytext};
    \draw (-1.8cm, -.1ex) node[anchor = west]
    {
      \footnotesize\pgfcalendarweekdayshortname{\pgfcalendarcurrentweekday}
    };
  },
  execute before day scope=
  {
    \ifdate{day of month=1} {
    % Shift right
    \pgftransformxshift{4.8cm}
    % Print month name 
    \draw (0,0)node [shape=rectangle, minimum height= .53cm, 
      text width = 4.4cm, fill = red, text= white, draw = red, text centered]
    {
      \textbf{\pgfcalendarmonthname{\pgfcalendarcurrentmonth}}
    };
  }{}
  \ifdate{workday}
  {
    \tikzset{every day/.style={fill=white}}
    % Progression
    \ifdate{between=2018-03-05 and 2018-03-22}{%
      \tikzset{every day/.style={fill=green!20}}}{}
    \ifdate{between=2018-03-26 and 2018-04-04}{%
      \tikzset{every day/.style={fill=green!20}}}{}
    \ifdate{between=2018-04-06 and 2018-05-03}{%
      \tikzset{every day/.style={fill=green!20}}}{}
    \ifdate{between=2018-05-14 and 2018-06-05}{%
      \tikzset{every day/.style={fill=green!20}}}{}
    % Vacances (Zone C)
    \ifdate{between=2018-02-17 and 2018-03-04}{%
      \tikzset{every day/.style={fill=gray!30}}}{}
    \ifdate{between=2018-04-14 and 2018-04-29}{%
      \tikzset{every day/.style={fill=gray!30}}}{}
    \ifdate{between=2018-07-07 and 2018-08-31}{%
      \tikzset{every day/.style={fill=gray!30}}}{}
 }{}
  % Saturdays and half holidays (Christma's and New year's eve)
  \ifdate{Saturday}{\tikzset{every day/.style={fill=red!10}}}{}
  % Sundays and full holidays
  \ifdate{Sunday}{\tikzset{every day/.style={fill=red!20}}}{}
  \ifdate{equals=01-01}{\tikzset{every day/.style={fill=red!20}}}{}
  \ifdate{equals=05-01}{\tikzset{every day/.style={fill=red!20}}}{}
  \ifdate{equals=05-08}{\tikzset{every day/.style={fill=red!20}}}{}
  \ifdate{equals=2018-04-01}{\tikzset{every day/.style={fill=red!20}}}{}
  \ifdate{equals=2018-04-02}{\tikzset{every day/.style={fill=red!20}}}{}
  \ifdate{equals=2018-05-10}{\tikzset{every day/.style={fill=red!20}}}{}
  \ifdate{equals=2018-05-21}{\tikzset{every day/.style={fill=red!20}}}{}
  },
  execute at begin day scope=
  {
   % Each day is shifted down according to the day of month
    \pgftransformyshift{-.53*\pgfcalendarcurrentday cm}
  }
];
% Holidaynames
\termin{2018-04-01}{Pâques}
\termin{2018-04-02}{Lundi de Pâques}
\termin{2018-05-01}{Fête du travail}
\termin{2018-05-08}{Victoire 1945}
\termin{2018-05-10}{Ascencion}
\termin{2018-05-21}{Pentecôte}
\termin{2018-07-14}{Fête nationale}
\termin{2018-08-15}{Assomption}
% Progression
\termin{2018-03-05}{Vecteurs 14j \\bases}
\termin{2018-03-26}{Étude de fonctions 8j}
\termin{2018-04-06}{Trigonométrie 9j}
\termin{2018-05-14}{Vecteurs (colinéarité) 16j}
\end{tikzpicture}
\end{center}
\end{document}

% à tester un jour
%\listfiles
%\documentclass{tikz-kalender}
%
%% a simple calender
%
%\setup{%
%year=2017-09
%,lang=french
%,title={Année 2017-2018}
%%,events={}
%}
%
%\begin{document}
%  \makeKalender
%\end{document}
